## conkycolors 20230722

=== Makefile ===
PREFIX=/usr
VPATH=src/
CFLAGS:=$(CFLAGS) -fcommon -DDESTDIR=\"$(DESTDIR)$(PREFIX)\" -Wall -std=c99
CWD:=$(shell pwd)

all: conky-colors
conky-colors: conky-colors.c conkycover.c conkyplayer.c \
	conkyrc_cairo.c conkyrc_ring.c conkyrc_board.c conkyrc_default.c conkyrc_slim.c conkyrc_sls.c \
	coverposition.c finddir.c help.c options.c photoposition.c themes.c translations.c variables.c \
	confinstall.c utils.c initialize.c

install: conky-colors conkyrc
	install -Dm755 conky-colors $(DESTDIR)$(PREFIX)/bin/conky-colors
	find conkycolors/bin -type f -exec install -Dm755 {} $(DESTDIR)$(PREFIX)/share/{} \;
	find conkycolors/scripts -type f -exec install -Dm755 {} $(DESTDIR)$(PREFIX)/share/{} \;
	find conkycolors/icons -type f -exec install -Dm644 {} $(DESTDIR)$(PREFIX)/share/{} \;
	find conkycolors/templates -type f -exec install -Dm644 {} $(DESTDIR)$(PREFIX)/share/{} \;
	find fonts/conkycolors -type f -exec install -Dm644 {} $(DESTDIR)$(PREFIX)/share/{} \;
	ln -fs $(DESTDIR)$(PREFIX)/share/conkycolors/bin/conkyTask $(DESTDIR)$(PREFIX)/bin/ct

conkyrc: conky-colors

clean:
	rm -f conky-colors

uninstall:
	rm -rf $(DESTDIR)$(PREFIX)/share/conkycolors
	rm -fr $(DESTDIR)$(PREFIX)/share/fonts/conkycolors
	rm $(DESTDIR)$(PREFIX)/bin/conky-colors
	rm $(DESTDIR)$(PREFIX)/bin/ct

.PHONY: all clean install uninstall

=== debian/changelog ===
conkycolors (20230722-1kaisen) kaisen-packages; urgency=medium

  * The fix-for-btrfs patch is now included upstream

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 22 Jul 2023 18:32:19 +0100

conkycolors (20200929-11kaisen) kaisen-packages; urgency=medium

  * Use the fonts-ubuntu-console package as dependancy
    instead of fonts-ubuntu-font-family-console

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 09 Dec 2022 05:37:38 +0100

conkycolors (20200929-10kaisen) kaisen-packages; urgency=medium

  * Add the exclusion for the /tmp/grub-btrfs directory

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 22 Apr 2022 14:42:33 +0100

conkycolors (20200929-9kaisen) kaisen-packages; urgency=medium

  * Add postrm script to remove /usr/share/fonts/conkycolors directory when the
    package is purged

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 01 Apr 2022 15:39:54 +0100

conkycolors (20200929-8kaisen) kaisen-packages; urgency=medium

  * Fix patch to display /run livesystem in live and improvements of patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 22 Nov 2021 18:44:49 +0200

conkycolors (20200929-7kaisen) kaisen-packages; urgency=medium

  * Add patch to fix BTRFS snapshots mountpoint display or Docker BTRFS mountpoint
    not display / in Conky

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 22 Nov 2021 14:33:31 +0200

conkycolors (20200929-6kaisen) kaisen-packages; urgency=medium

  * Readd delete changelog

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 12 Nov 2021 23:40:07 +0200

conkycolors (20200929-5kaisen) kaisen-packages; urgency=medium

  * Update homepage link
  * Update Standards-Version number

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 12 Nov 2021 19:28:51 +0200

conkycolors (20200929-4kaisen1) kaisen-packages; urgency=medium

  * Adding dependancy:
    - fonts-ubuntu

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 11 Apr 2021 15:00:21 +0200

conkycolors (20200929-3kaisen1) kaisen-packages; urgency=medium

  * Adding dependancy:
    - fonts-ubuntu-font-family-console
  * Remove postinst

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 10 Apr 2021 15:54:27 +0200

conkycolors (20200929-2kaisen1) kaisen-packages; urgency=medium

  * Remove dependancies:
    - python-statgrab
    - python-keyring
    - ttf-ubuntu-font-family
    - curl
    - lm-sensors
    - hddtemp
  * Add recommends:
    - conky-all
  * Update control file
  * Update compat to 13

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 10 Apr 2021 01:20:48 +0200

conkycolors (20200929-1kaisen1) kaisen-packages; urgency=medium

  * Remove change-prefix-makefile patch (developer merge custom git branch)

 -- Kevin Chevreuil - Kaisen <kaisen@kaisen-linux.org>  Tue, 29 Sep 2020 23:41:43 +0200

conkycolors (20200926-1kaisen1) kaisen-testing; urgency=medium

  * Packaging conkycolors tool (replace packaging on kaisen-skeleton).

 -- Kevin Chevreuil - Kaisen <kaisen@kaisen-linux.org>  Sat, 26 Sep 2020 15:42:58 +0200

=== debian/control ===
Source: conkycolors
Priority: standard
Section: misc
Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>
Standards-Version: 4.6.0
Build-Depends: debhelper
Homepage: https://github.com/helmuthdu/conky_colors
Vcs-Git: https://gitlab.com/kaisenlinux/packages/conkycolors.git
Vcs-Browser: https://gitlab.com/kaisenlinux/packages/conkycolors

Package: conkycolors
Architecture: all
Priority: standard
Depends: fonts-ubuntu,
	 fonts-ubuntu-console
Recommends: conky-all
Description: Easiest Conky configurator
